<?php

/**
 * Класс для демонстрации работы сервиса alarmerbot.ru
 *
 * Простой класс для работы с телеграм-бом @alarmer_bot
 * Пример использования:
 * 1) Добавить в контакты бота @alarmer_bot (добавьте его в чат для групповых уведомлений)
 * 2) Получите ключ командой: /key
 * 3) В ответ получите ключ вида: 02f559-a3c1f3-44d756
 * 4) Используя класс отправьте уведомление:
 * 		Alarmer::send('ваш_ключ', 'Тестовое уведомление!');
 */
class Alarmer
{

	/**
	 * Отправляет уведомление
	 * @param string $key - ваш API-KEY
	 * @param string $message - сообщение
	 */
	static public function send($key, $message)
	{
		$ch = curl_init("https://alarmerbot.ru/");
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 0);
		curl_setopt($ch, CURLOPT_TIMEOUT, 3);
		curl_setopt($ch, CURLOPT_POSTFIELDS, array(
			"key" => $key,
			"message" => $message,
		));
		curl_exec($ch);
		curl_close($ch);
	}

}
